var WidgetMyRH = SuperWidget.extend({

    instanceId: null,

    init() {
        this.loadWidget();
    },

    loadWidget: function() {
        this.getUserData();
        this.createToggleTabs();
        this.createTable();
    },

    createTable: function() {
        var myTable = FLUIGC.datatable('#target', {
            dataRequest: this.getUserWorkLog(),
            renderContent: '.template_datatable',
            header: [
                { title: 'Data'},
                { title: 'Entrada' },
                { title: 'Saída' },
            ],
            search: {
                enabled: false,
            },
            navButtons: {
                enabled: false,
            }
        });
    },

    createToggleTabs: function() {
        $('#myTab a').on('click', function(event) {
            event.preventDefault();

            $(this).tab('show');
        });
    },

    createDateToPoint: function(day) {
        var date = new Date();

        date.setDate(date.getDate() - day);

        return date;
    },

    getTransformedDate: function(date) {
        return date.getDate() + '/' + date.getMonth() + '/' + date.getFullYear();
    },

    getUserWorkLog: function(){
        var until = new Date(2022, 08, 10),
            data = {
                timenote: [
                    { date: this.getTransformedDate(this.createDateToPoint(0)), start: '08:15', end: '-' },
                    { date: this.getTransformedDate(this.createDateToPoint(1)), start: '09:20', end: '20:45' },
                    { date: this.getTransformedDate(this.createDateToPoint(2)), start: '07:30', end: '19:30' },
                ],
                extrahour: {
                    time: '01h:30m'
                },
                vacation:{
                    days: 30,
                    scheduled: 10,
                    left: 20,
                    until: until
                }
            };

        return data;
	},

    generateProfileTemplate: function(error, data) {
        var html = Mustache.render(this.templates.template_profile, data.content);

        $('#profile-information').append(html);
    },

	getUserData: function(){
		var options = {
            url: '/api/public/social/user/logged/v2',
            contentType: 'application/json',
            dataType: 'json',
            loading: true
        };

		FLUIGC.ajax(options, this.generateProfileTemplate.bind(this));
	},
});
